# Get Countries GET https://api-gateway-stg.transak.com/api/v2/lookup/countries The **Get Countries** is a **public API endpoint** that allows you to retrieve the list of **supported countries** in the Transak ecosystem. This API helps you identify which countries are supported for **KYC verification, fetching quotes, and other transactions**. The returned country list can be used across multiple endpoints, such as **KYC verification, getting quotes, and order placement**. Reference: https://docs.transak.com/api/whitelabel/lookup/get-countries ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/lookup/countries: get: operationId: get-countries summary: Get Countries description: >- The **Get Countries** is a **public API endpoint** that allows you to retrieve the list of **supported countries** in the Transak ecosystem. This API helps you identify which countries are supported for **KYC verification, fetching quotes, and other transactions**. The returned country list can be used across multiple endpoints, such as **KYC verification, getting quotes, and order placement**. tags: - subpackage_lookUp responses: '200': description: 200 - Success content: application/json: schema: $ref: '#/components/schemas/LookUp_get-countries_Response_200' '400': description: 400 - Bad Request content: application/json: schema: $ref: '#/components/schemas/Get-countriesRequestBadRequestError' '401': description: 401 - Unauthorized content: application/json: schema: $ref: '#/components/schemas/Get-countriesRequestUnauthorizedError' '500': description: 500 - Internal Server Error content: application/json: schema: $ref: '#/components/schemas/Get-countriesRequestInternalServerError' servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaDataCountriesItems: type: object properties: name: type: string description: 'Full Name of Country ' code: type: string description: The ISO 3166-1 alpha-2 country code. E.g., 'AR'). currencyCode: type: string description: The supported currency E.g. "AUD" isAllowed: type: boolean description: >- The is Allowed flag (true / false) indicates supports the country and conducts Know Your Customer (KYC) procedures for its users. required: - name - code - currencyCode - isAllowed title: >- ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaDataCountriesItems ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaData: type: object properties: countries: type: array items: $ref: >- #/components/schemas/ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaDataCountriesItems required: - countries title: ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaData LookUp_get-countries_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaData required: - data title: LookUp_get-countries_Response_200 ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaError Get-countriesRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-countriesRequestBadRequestError Get-countriesRequestUnauthorizedError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-countriesRequestUnauthorizedError Get-countriesRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupCountriesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-countriesRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/countries" response = requests.get(url) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/countries'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/countries" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/countries") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/countries") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/countries'); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/countries"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/countries")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```